For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTSendSmsMessage
        • POSTA2PSendSms
        • POSTControlSms
        • POSTGetSmsHistory
        • POSTA2PGetSmsHistory
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSMS

A2PGetSmsHistory

||View as Markdown|
POST
https://api.voximplant.com/platform_api/A2PGetSmsHistory
POST
/platform_api/A2PGetSmsHistory
$curl -X POST https://api.voximplant.com/platform_api/A2PGetSmsHistory \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "message_id": 1,
5 "source_number": "12345678111",
6 "destination_number": "12345678222",
7 "fragments": 0,
8 "cost": 4.3437,
9 "status_id": "2",
10 "error_message": "Error send sms to 12345678222 from 12345678111 Code = 1",
11 "processing_date": "2019-03-11 21:00:00",
12 "transaction_id": 123123,
13 "delivery_status": "FAILED",
14 "text": "Your reservation has been confirmed"
15 },
16 {
17 "message_id": 3,
18 "source_number": "12345678111",
19 "destination_number": "12345678222",
20 "fragments": 1,
21 "cost": 2.7123,
22 "status_id": "1",
23 "processing_date": "2019-06-04 21:00:00",
24 "transaction_id": 3333,
25 "delivery_status": "DELIVERED",
26 "text": "Your reservation has been canceled"
27 }
28 ],
29 "total_count": 2
30}

Gets the history of sent/or received A2P SMS.

Allowed roles: Owner, Admin, CallsSMS.

Example request: Get messages that had been sent to number 12345678222 starting from March 1, 2019. Number of resulting rows is limited to 2.

Was this page helpful?
Previous

GetSmsHistory

Next

GetRecordStorages

Built with

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

source_numberstringOptional
The source phone number
destination_numberstringOptional
The destination phone number
countintegerOptional
Maximum number of resulting rows fetched. Must be not bigger than 1000. If left blank, then the default value of 1000 is used
offsetintegerOptional

The first N records are skipped in the output

from_datestringOptional

Date from which the search is to start. Format is ‘yyyy-MM-dd HH:mm:ss’, time zone is UTC

to_datestringOptional

Date from which the search is to end. Format is ‘yyyy-MM-dd HH:mm:ss’, time zone is UTC

outputstringOptionalDefaults to json

The output format. The following values available: json, csv, xls. The default value is json

delivery_statusintegerOptional

The delivery status ID: QUEUED - 1, DISPATCHED - 2, ABORTED - 3, REJECTED - 4, DELIVERED - 5, FAILED - 6, EXPIRED - 7, UNKNOWN - 8

Response

Successful response
resultlist of objects
total_countinteger
Total number of messages matching the query parameters

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.